=== debian/changelog ===
curry-tools (3.3.0-2) unstable; urgency=medium

  * Re-upload to unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 22:42:27 +0100

curry-tools (3.3.0-1) experimental; urgency=medium

  * Upload to experimental.

  * New upstream version.
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.
  * debian/watch:
    + Update format version to 4.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 04 Feb 2021 16:32:48 +0100
