=== debian/control ===
Source: curry-tools
Section: devel
Priority: optional
Build-Depends:
 cdbs,
 debhelper (>= 10~),
 tar (>= 1.28),
Maintainer: Debian Curry Maintainers <pkg-curry-maintainers@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Michael Hanus <mh@informatik.uni-kiel.de>,
Rules-Requires-Root: no
Homepage: https://git.ps.informatik.uni-kiel.de/curry/curry-tools
Vcs-Browser: https://salsa.debian.org/pkg-curry-team/curry-tools
Vcs-Git: https://salsa.debian.org/pkg-curry-team/curry-tools.git
Standards-Version: 4.5.1

Package: curry-tools-source
Architecture: all
Depends:
 ${misc:Depends},
Breaks: pakcs (<< 2.2.0~),
Description: Tools that are used by different Curry systems, like PAKCS or KiCS2
 PAKCS and KICS2 are two different implementations of the programming
 language Curry. Curry is a functional programming language being developed
 at Kiel, Aachen and Portland University.
 .
 Whereas PAKCS is a Curry to Prolog compiler, KICS2 compiles Curry code
 into Haskell. Both compilers require two source code trees at compiler
 build time: curry-tools-source and curry-tools-source.
 .
 This package provides the source files of the curry-tools.
