=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg[0-9]*//,filenamemangle=s/.*\/curry-tools-v(\d\S+)\.tar\.gz/curry-tools-$1\.tar\.gz/g \
  https://git.ps.informatik.uni-kiel.de/curry/curry-tools/tags?sort=updated_desc .*/archive/v?(\d\S+)\/.*.tar\.gz
